apiVersion: apps/v1
kind: Deployment
metadata:
  name: ipu-test
  namespace: default
  labels:
    app: app-test
spec:
  replicas: 1
  selector:
    matchLabels:
      app: app-test
  template:
    metadata:
      labels:
        app: app-test
    spec:
      containers:
      - name: demo-ipu-test
        image: graphcore/pytorch:latest 
        command: ["/bin/bash", "-c", "--"]
        args: ["sleep infinity & wait"]
        resources:
          limits:
            c600.graphcore.ai/ipu: "1"
